#ifndef OSD_DEPEND_H
#define OSD_DEPEND_H

#include <kallisti/libk.h>
#include <kallisti/abi/fs.h>
#include <kallisti/abi/video.h>
#include <kallisti/abi/thread.h>
#include <kallisti/abi/maple.h>
#include <kallisti/abi/ta.h>
#include <kallisti/abi/spu.h>
#include <kallisti/abi/fundamental.h>
#include "../kosh/abi/conio.h"
#include <math.h>
#include <malloc.h>

typedef void * FILE;
#define NULL 0
#define EOF 0
#define TRUE 1
#define FALSE 0

#define S_IFDIR 1

#define SIGABRT 1

struct stat
{
	int st_size;
	int st_mode;
};

/* Library handles */
extern abi_fs_t    		*fs;
extern abi_thread_t    	*thread;
extern abi_video_t 		*video;
extern abi_maple_t 		*maple;
extern abi_conio_t 		*conio;
extern abi_thread_t 	*thd;
extern abi_spu_t		*spu;
extern abi_ta_t 		*ta;

extern int rand(void);
extern FILE * fopen(const char *path, const char *mode);
extern int fclose(FILE *stream);
extern unsigned int fread(void *ptr, unsigned int size, unsigned int nmemb, FILE *stream);
extern int stat(char *fname, struct stat * fileinfo);
extern void raise(int signal);
extern unsigned int fwrite(void *ptr, unsigned int size, unsigned int nmemb, FILE *stream);
extern int fseek(FILE *stream, long offset, int whence);
extern int ftell(FILE *stream);
extern void asserts(int level);
extern int abs(int number);
extern char toupper(char c); 
//extern char tolower(char c); 
extern int isspace(char c);
extern int isxdigit(char c);
extern int isalnum(char c) ;
extern char * fgets(char *buf, int n, FILE * fp);
extern char fgetc(FILE *stream);
extern int isupper(char c);
//extern char tolower(char c);
extern void exit(int status);
extern int fprintf(FILE *stream, const char *fmt, ...);
extern int atoi( char *s);

#endif	/* defined OSD_DEPEND_H */
